<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: ChSchuetz
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."deal_it_or_leave_it/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."deal_it_or_leave_it/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."deal_it_or_leave_it/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."deal_it_or_leave_it/locale/German.php";
}

// Infusion general information
$inf_title = $locale['dnd100'];
$inf_description = $locale['dnd101'];
$inf_version = "1.0 (v7)";
$inf_developer = "ChSchuetz";
$inf_email = "chris@chschuetz.de";
$inf_weburl = "http://www.ChSchuetz.de";
$inf_folder = "deal_it_or_leave_it"; // The folder in which the infusion resides.


$inf_sitelink[1] = array(
	"title" => $locale['dnd102'],
	"url" => "dond.php",
	"visibility" => "0"
);


// Delete any items not required here.
$inf_newtable[1] = DB_dond_games." (
game_id SMALLINT(7) NOT NULL AUTO_INCREMENT ,
game_user SMALLINT(5) NOT NULL ,
game_status SMALLINT(2) NOT NULL ,
game_sel TEXT NOT NULL ,
game_koffer TEXT NOT NULL ,
game_offers TEXT NOT NULL ,
game_fin int(1) NOT NULL,
PRIMARY KEY (game_id)
);";

$inf_newtable[2] = DB_dond_highscore." (
  highscore_id smallint(7) NOT NULL auto_increment,
  highscore_user smallint(5) NOT NULL,
  highscore_value float NOT NULL,
  game_id smallint(7) NOT NULL,
  PRIMARY KEY  (highscore_id)
);";


$inf_droptable[1] = DB_dond_games;
$inf_droptable[2] = DB_dond_highscore;
?>